import request from '@/utils/request'

// 查询报修单-报修项目-派工列表
export function listRepairFormProjectDispatch(query) {
  return request({
    url: '/business/repairFormProjectDispatch/list',
    method: 'get',
    params: query
  })
}

// 查询报修单-报修项目-派工详细
export function getRepairFormProjectDispatch(id) {
  return request({
    url: '/business/repairFormProjectDispatch/' + id,
    method: 'get'
  })
}

// 新增报修单-报修项目-派工
export function addRepairFormProjectDispatch(data) {
  return request({
    url: '/business/repairFormProjectDispatch',
    method: 'post',
    data: data
  })
}

// 新增报修单-报修项目-派工批量创建
export function addRepairFormProjectDispatchP(data) {
  return request({
    url: '/business/repairFormProjectDispatch/dispatch',
    method: 'post',
    data: data
  })
}

// 修改报修单-报修项目-派工
export function updateRepairFormProjectDispatch(data) {
  return request({
    url: '/business/repairFormProjectDispatch',
    method: 'put',
    data: data
  })
}

// 删除报修单-报修项目-派工
export function delRepairFormProjectDispatch(id) {
  return request({
    url: '/business/repairFormProjectDispatch/' + id,
    method: 'delete'
  })
}
